<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="TSI 3783"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <table class="content display-data communication-state hide-false">
        <tbody>
            <tr> <td>Concentration (cm⁻³)</td>              <td class="value-formatted" field="N" rightpad="2"></td> </tr>
            <tr> <td>Count rate (Hz)</td>                   <td class="value-formatted" field="C" decimals="0" rightpad="4"></td> </tr>
            <tr> <td>Absolute pressure (hPa)</td>           <td class="value-formatted" field="P" rightpad="2"></td> </tr>
            <tr> <td>Vacuum pressure (hPa)</td>             <td class="value-formatted" field="Pvacuum" rightpad="2"></td> </tr>
            <tr> <td>Inlet flow (lpm)</td>                  <td class="value-formatted" field="Qinlet" decimals="3"></td> </tr>
            <tr> <td>Nozzle pressure (%)</td>               <td class="value-formatted" field="PCTnozzle" decimals="0" rightpad="4"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Temperature</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Inlet (°C)</td>            <td class="value-formatted" field="Tinlet" rightpad="2"></td> </tr>
            <tr> <td>Saturator (°C)</td>        <td class="value-formatted" field="Tsaturator" rightpad="2"></td> </tr>
            <tr> <td>Growth tube (°C)</td>      <td class="value-formatted" field="Tgrowth" rightpad="2"></td> </tr>
            <tr> <td>Optics (°C)</td>           <td class="value-formatted" field="Toptics" rightpad="2"></td> </tr>
            <tr> <td>Water separator (°C)</td>  <td class="value-formatted" field="Tseparator" rightpad="2"></td> </tr>
            <tr> <td>Cabinet (°C)</td>          <td class="value-formatted" field="Tcabinet" rightpad="2"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Optics</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Laser current (mA)</td>    <td class="value-formatted" field="Alaser" decimals="0" rightpad="4"></td> </tr>
            <tr> <td>Photodetector (mV)</td>    <td class="value-formatted" field="Vphotodetector" decimals="0" rightpad="4"></td> </tr>
            <tr> <td>Pulse height (mV)</td>     <td class="value-formatted" field="Vpulse" decimals="0" rightpad="4"></td> </tr>
        </tbody>
    </table>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="liquid_low">Out of water</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="saturator_temperature_out_of_range">Saturator temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="growth_tube_temperature_out_of_range">Growth tube temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="optics_temperature_out_of_range">Optics temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="seperator_temperature_out_of_range">Water seperator temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="vacuum_error">Vacuum level error</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="laser_error">Laser error</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="pulse_height_error">Photodetector pulse height error</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="pressure_out_of_range">Absolute pressure out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="nozzle_pressure_error">Nozzle pressure error (check for clogging)</div>

    <div class="content display-data communication-state notification-state hide-false"
         notification="concentration_out_of_range">Concentration out of range</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="warmup"><span class="mdi mdi-loading mdi-spin"></span>Warm-up in progress</div>
</div>

<style>
#{{uid}} .warning { color: #f80; }
</style>


<script>
(function() {
    const context = document.getElementById('{{uid}}').context;
    context.standardMode();
})();
</script>